Class BadRequestException
java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
io.vertx.core.VertxException
io.vertx.ext.web.validation.BadRequestException
- All Implemented Interfaces:
Serializable
- Direct Known Subclasses:
BodyProcessorException, ParameterProcessorException, RequestPredicateException
Represents an exception while processing a request with
ValidationHandler. Possible failures could be:
ParameterProcessorException: Failure while processing the request parameterBodyProcessorException: Failure while processing the request bodyRequestPredicateException: A request predicate doesn't match
- See Also:
-
Constructor Summary
ConstructorsConstructorDescriptionBadRequestException(String message, boolean customMessage, Throwable cause) BadRequestException(String message, Throwable cause) -
Method Summary
Methods inherited from class VertxException
noStackTrace, noStackTrace, noStackTraceMethods inherited from class Throwable
addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
-
Constructor Details
-
BadRequestException
-
BadRequestException
-
-
Method Details
-
toJson
-